aboutsummaryrefslogtreecommitdiffstats
path: root/testing/asciinema/APKBUILD
diff options
context:
space:
mode:
authorFabian Affolter <fabian@affolter-engineering.ch>2013-10-06 19:55:44 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2013-10-22 08:23:15 +0000
commit6f1a69235f106462f4d81593608fe6f8ab3494a4 (patch)
tree0ff008f59d383e69fc3b7017962fe5af43949858 /testing/asciinema/APKBUILD
parent88563901cbca604767e801950e58400f4a1c58e4 (diff)
downloadaports-6f1a69235f106462f4d81593608fe6f8ab3494a4.tar.gz
aports-6f1a69235f106462f4d81593608fe6f8ab3494a4.tar.bz2
aports-6f1a69235f106462f4d81593608fe6f8ab3494a4.tar.xz
testing/asciinema: new aport
A Command line recorder for asciinema.org service https://github.com/sickill/asciinema/
Diffstat (limited to 'testing/asciinema/APKBUILD')
-rw-r--r--testing/asciinema/APKBUILD40
1 files changed, 40 insertions, 0 deletions
diff --git a/testing/asciinema/APKBUILD b/testing/asciinema/APKBUILD
new file mode 100644
index 0000000000..12a9844ad0
--- /dev/null
+++ b/testing/asciinema/APKBUILD
@@ -0,0 +1,40 @@
+# Contributor: Fabian Affolter <fabian@affolter-engineering.ch>
+# Maintainer: Fabian Affolter <fabian@affolter-engineering.ch>
+pkgname=asciinema
+pkgver=0.9.6
+pkgrel=0
+pkgdesc="A Command line recorder for asciinema.org service"
+url="https://github.com/sickill/asciinema/"
+arch="noarch"
+license="MIT"
+depends="python"
+depends_dev=""
+makedepends="python-dev py-setuptools"
+install=""
+subpackages=""
+source="http://pypi.python.org/packages/source/${pkgname:0:1}/$pkgname/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-$pkgver
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
+build() {
+ cd "$_builddir"
+ python setup.py build || return 1
+}
+
+package() {
+ cd "$_builddir"
+ python setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="1ec3cfda51dcbe09bb3096666e527d5d asciinema-0.9.6.tar.gz"
+sha256sums="82c3b99e92edd97bbadbaf6546bc2030555e1c1c9129fb493167d9ec12db6dc8 asciinema-0.9.6.tar.gz"
+sha512sums="f221d0c244da707255784fd87f3762e536d73c5ba47ef399bea38a944be4f0c1ebccc717b16d99c346acc9820597601b35e3388362c2a35615addc2f757069c6 asciinema-0.9.6.tar.gz"